Package twisted :: Package application :: Module compat

[frames | no frames]

## Module twisted.application.compat

Backwards compatibility module

This module allows Applications to behave (partially) like old Application objects, and converts olds Applications to new ones.

API Stability: unstable

Maintainer: Moshe Zadka

Classes
`_NewService` | Wrap a twisted.internet.app.ApplicationService in new service API.
`_ServiceNetwork` |
`IOldApplication` | A subset of the interface old Application objects had implicitly

Function Summary
| ``convert`(oldApp)` Convert an `i.app.Application` to a `application.service.Application`

Variable Summary
`list` | `_mapping` = `[('tcpPorts', <class twisted.application.inte...`

Function Details

### convert(oldApp)

Convert an `i.app.Application` to a `application.service.Application`

  Parameters:
    `oldApp`
    (type=

    `twisted.internet.app.Application` @rtype `twisted.application.service.Application`

    This function might damage oldApp beyond repair: services that other parts might be depending on might be missing. It is not safe to use oldApp after it has been converted. In case this behaviour is not desirable, pass a deep copy of the old application)

Variable Details

### _mapping

  Type:
    `list`
  Value:

        [('tcpPorts', <class twisted.application.internet.TCPServer at 0x8668f\
        fc>),
         ('tcpConnectors',
          <class twisted.application.internet.TCPClient at 0x84c7b14>),
         ('unixPorts', <class twisted.application.internet.UNIXServer at 0x83e\
        3f0c>),
         ('unixConnectors',
          <class twisted.application.internet.UNIXClient at 0x870dcbc>),
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net